function [W11] = build_witnesses(adj, n1, hops)
EYE1=sparse(1:n1,1:n1,1,n1,n1);
W1 = adj;
W11 = EYE1;
for i=1:hops
    W11 = double(W1>0)+W11;
    W1 = W1*adj;
end
W11 = sparse((double(W1>0) - W11)>0); % + adj;
